%define url_ver %(echo %{version} | cut -d. -f1,2)

%define oname		xfce4util

%define api		    1.0
%define major		7
%define libname		%mklibname %{oname} %{major}
%define girname		%mklibname xfce4util-gir %{api}
%define develname	%mklibname %{oname} -d

Summary:	Utility library for the Xfce desktop environment
Name:		libxfce4util
Version:	4.18.2
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/XFCE
URL:		https://www.xfce.org
Source0:	https://archive.xfce.org/src/xfce/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	vala-devel
BuildRequires:	xfce4-dev-tools
BuildRequires:	lib64glib2.0-devel
BuildRequires:	lib64girepository-devel

%description
Basic utility non-GUI functions for Xfce desktop environment.

%package i18n
Summary:	Internationalization and locale data for %{name}
Group:		System/Internationalization
Obsoletes:  libxfce4util
Provides:   libxfce4util = %{version}-%{release}
Obsoletes: %{name}-doc

%description i18n
This package contains the localizations for %{name}.

%package -n %{libname}
Summary:	Utility library for the Xfce desktop environment
Group:		Graphical desktop/XFCE
Requires:	%{name}-i18n >= %{version}-%{release}

%description -n %{libname}
Utility library for the Xfce desktop environment.

%package -n %{develname}
Summary:	Libraries and header files for the %{name} library
Group:		Graphical desktop/XFCE
Requires:	%{libname} = %{version}-%{release}
Obsoletes:  %{name}-devel
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{name}

%description -n %{develname}
Libraries and header files for the %{name} library.

%package -n xfce-kiosk
Summary:	Kiosk support for the Xfce desktop environment
Group:		Graphical desktop/XFCE
Requires:	%{name}

%description -n xfce-kiosk
Kiosk support for the Xfce desktop environment.

%prep
%setup -q
%autopatch -p1

%build
%xdt_autogen
%configure2_5x \
	--disable-static \
	--enable-introspection

%make_build

%install
rm -rf %buildroot
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete
rm -rf %buildroot/%{_datadir}/gtk-doc

%find_lang %{name}

%files i18n -f %{name}.lang

%files -n %{libname}
%{_libdir}/lib%{oname}.so.%{major}*
%{_libdir}/girepository-1.0/Libxfce4util-%{api}.typelib

%files -n %{develname}
%{_libdir}/lib%{oname}.so
%{_libdir}/pkgconfig/lib%{oname}-%{api}.pc
%{_includedir}/xfce4/
%{_datadir}/gir-1.0/Libxfce4util-%{api}.gir
%{_datadir}/vala/vapi/libxfce4util-%{api}.vapi

%files -n xfce-kiosk
%{_sbindir}/xfce4-kiosk-query


%changelog
* Tue Feb 06 2024 tex - 4.18.2-1pclos2024
- new version

* Tue Jan 10 2023 tex - 4.18.1-1pclos2023
- new version

* Thu Dec 15 2022 tex - 4.18.0-1pclos2022
- new version

* Mon Dec 12 2022 tex - 4.17.4-1pclos2022
- prepare for 4.18 final
